Subject: RE: Comment on draft-ietf-cert-05.txt

From: "Blake Ramsdell" <[email-masked]>
Date: Fri, 20 Nov 1998 15:33:35 -0800

> -----Original Message-----
> From: Al Arsenault [mailto:[email-masked]]
> Sent: Friday, November 20, 1998 11:11 AM
> To: [email-masked]
> Subject: Comment on draft-ietf-cert-05.txt
> 
> There are no PKIX v1 certificates.  (This looks like an artifact of a
> global replacement X.509 -> PKIX.)  Recommend that this be changed to
> "Receiving agents MUST support PKIX certificates..."  unless 
> there is some
> other type of certificates that you want to support (say, for backward
> compatibility with S/MIMEv2).  If there is such a type of 
> certificates,
> please identify it.

However, there are PKIX certificates that have the version field set to v1.
This version field could also be set to v2, which I don't think we need to
support, and v3 which I think we do.  I understand that these version
numbers are from X.509 and not from PKIX.

I am happy to change this to simply be PKIX certificates, but the intent was
to exclude the use of (X.509) v2 certificates.  Language welcome.

Blake
--
Blake C. Ramsdell
Worldtalk Corporation
For current info, check http://www.deming.com/users/blaker
Voice +1 425 882 8861 x103  Fax +1 425 882 8060